checkout
Mint a preview session for a merchant-owned invoice
Merchant-authenticated. Mints a short-lived, non-payable checkout session for an invoice of any status, including draft, so the dashboard can render the real checkout page as a preview before the invoice is sent. The returned token can never be used to charge the invoice.
POST
/
checkout
/
sessions
/
preview
Mint a preview session for a merchant-owned invoice
curl --request POST \
--url https://api-sandbox.paygood.co/checkout/sessions/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoiceId": "<string>",
"merchantId": "<string>"
}
'import requests
url = "https://api-sandbox.paygood.co/checkout/sessions/preview"
payload = {
"invoiceId": "<string>",
"merchantId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invoiceId: '<string>', merchantId: '<string>'})
};
fetch('https://api-sandbox.paygood.co/checkout/sessions/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/checkout/sessions/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invoiceId' => '<string>',
'merchantId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/checkout/sessions/preview"
payload := strings.NewReader("{\n \"invoiceId\": \"<string>\",\n \"merchantId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.paygood.co/checkout/sessions/preview")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invoiceId\": \"<string>\",\n \"merchantId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/checkout/sessions/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invoiceId\": \"<string>\",\n \"merchantId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sessionId": "<string>",
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}Authorizations
Merchant API key bearer token.
Body
application/json
Response
Preview session minted. Pass the token as a Bearer token to GET /checkout/sessions/:id to load the payable projection (including logoUrl when set).
Minimum string length:
1Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$⌘I
Mint a preview session for a merchant-owned invoice
curl --request POST \
--url https://api-sandbox.paygood.co/checkout/sessions/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoiceId": "<string>",
"merchantId": "<string>"
}
'import requests
url = "https://api-sandbox.paygood.co/checkout/sessions/preview"
payload = {
"invoiceId": "<string>",
"merchantId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invoiceId: '<string>', merchantId: '<string>'})
};
fetch('https://api-sandbox.paygood.co/checkout/sessions/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/checkout/sessions/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invoiceId' => '<string>',
'merchantId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/checkout/sessions/preview"
payload := strings.NewReader("{\n \"invoiceId\": \"<string>\",\n \"merchantId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.paygood.co/checkout/sessions/preview")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invoiceId\": \"<string>\",\n \"merchantId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/checkout/sessions/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invoiceId\": \"<string>\",\n \"merchantId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sessionId": "<string>",
"token": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}